using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Waboga;

namespace Waboga.UI
{
    public class CreditsPage : UIPage
    {
        public override void Update(MainUI ui, float delta_t)
        {
            UIRenderer renderer = UIBegin();

            renderer.WindowStartCentered(30, 500, 505);

            renderer.WriteLineCentered("Credits", Color.White, 2.0f);
            renderer.WriteLine("", Color.White);

            renderer.WriteLineCentered("Code & Design: Jere \"XMunkki\" Sanisalo", Color.White);
            renderer.WriteLineCentered("Gfx & Audio: Jukka \"JopePyssy\" Nikkonen", Color.White);
            renderer.WriteLine("", Color.White);

            renderer.WriteLineCentered("Thanks", Color.White, 2.0f);
            renderer.WriteLineCentered("Maija Parjanen", Color.White, 0.7f);
            renderer.WriteLineCentered("Chris Butcher / Bungie", Color.White, 0.7f);
            renderer.WriteLineCentered("Dave Mitchell / Microsoft XNA team", Color.White, 0.7f);

            renderer.WriteLine("", Color.White, 2.0f);
            renderer.WriteLineCentered("Uses the Pen Mark MF font \xa9 1995 Rick W. Mueller", Color.White, 0.7f);
            renderer.WriteLineCentered("Font supplied by http://www.1001freefonts.com/", Color.White, 0.7f);

            renderer.WriteLine("", Color.White, 1.0f);
#if XBOX
            renderer.WriteLineCentered("Press A to continue..", Color.White);
#else
            renderer.WriteLineCentered("Press A or left mouse to continue..", Color.White);
#endif

            renderer.WindowEnd();

            UIEnd();

            if (Controller.WasPressed(ControllerButton.A) ||
                Controller.WasPressed(ControllerButton.B) ||
                Controller.WasPressed(ControllerButton.KeyEsc) ||
                Controller.WasPressed(ControllerButton.MouseLeft))
            {
                m_res.sound_bank.PlayCue("MenuSelect");
                ui.PopPage();
            }
        }
    }
}
