using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Waboga;

namespace Waboga.UI
{
    public class GameDonePage : UIPage
    {
        public override void Update(MainUI ui, float delta_t)
        {
            UIRenderer renderer = UIBegin();

            renderer.WindowStartCentered(200, 300, 110);

            renderer.WriteLineCentered("Game finished!", Color.White, 2.0f);

            if (UIButton("btn_end_game", "End game"))
            {
                ui.PopUntil(typeof(MainMenuPage));
            }

            renderer.WindowEnd();

            UIEnd();
        }
    }
}
