using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

namespace Waboga
{
    public static class PointUtil
    {
        public static Point Scale(Point pt, int val)
        {
            return new Point(pt.X * val, pt.Y * val);
        }

        public static void Scale(ref Point pt, int val)
        {
            pt.X *= val;
            pt.Y *= val;
        }

        public static Point Add(Point pt1, Point pt2)
        {
            return new Point(pt1.X + pt2.X, pt1.Y + pt2.Y);
        }

        public static void Add(ref Point pt1, Point pt2)
        {
            pt1.X += pt2.X;
            pt1.Y += pt2.Y;
        }
    }
}
