using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Waboga;

namespace Waboga.UI
{
    public class PausePage : UIPage
    {
        public override void Update(MainUI ui, float delta_t)
        {
            UIRenderer renderer = UIBegin();

            renderer.WindowStartCentered(200, 300, 170);

            renderer.WriteLineCentered("Game paused", Color.White, 2.0f);

            if (UIButton("btn_resume_game", "Resume Game") ||
                UIBackButton())
            {
                ui.PopPage();
            }

            if (UIButton("btn_help", "Instructions"))
            {
                ui.PushPage(new HelpPage());
            }

            if (UIButton("btn_end_game", "End game"))
            {
                ui.PopPage();
                ui.PushPage(new ReallyEndPage());
            }

            renderer.WindowEnd();

            UIEnd();
        }
    }
}
