using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Waboga;

namespace Waboga.UI
{
    public class ReallyEndPage : UIPage
    {
        public override void Update(MainUI ui, float delta_t)
        {
            UIRenderer renderer = UIBegin();

            renderer.WindowStartCentered(200, 350, 140);

            renderer.WriteLineCentered("Really end game?", Color.White, 2.0f);

            if (UIButton("btn_no", "No") ||
                UIBackButton())
            {
                ui.PopPage();
            }

            if (UIButton("btn_yes", "Yes"))
            {
                ui.PopUntil(typeof(MainMenuPage));
            }

            renderer.WindowEnd();

            UIEnd();
        }
    }
}
